# Applies a coupon to an existing order This is designed to be run by administrators; allows an order to e processed but have prices or quantities overridden Endpoint: POST /orders/{tenantId}/retroactivelyApplyCoupon Version: v1-2025-04-18 Security: knox-authorizer ## Path parameters: - `tenantId` (string, required) The id of the tenant being accessed ## Request fields (application/json): - `coupon_code_id` (string, required) - `options` (object) - `options.action` (string) Enum: "credit", "refund" - `options.batch_id` (string) the batch - `options.do_not_perform_electronic_refund` (boolean) - `options.ignore_payment_gateway_errors` (boolean) - `order_id` (string, required) ## Response 200 fields (application/json): - `executionArn` (string, required) The arn of the execution - `notification_channel` (string) The id of the channel where progress updates will be posted - `notification_publishKey` (string) The publish key for the channel where progress updates will be posted - `notification_subscribeKey` (string) The subscribe key for the channel where progress updates will be posted - `start_date` (string) The start date of the execution ## Response 400 fields ## Response 401 fields ## Response 403 fields ## Response 404 fields ## Response 409 fields ## Response 429 fields ## Response 500 fields